Batch update component settings
curl --request PUT \
--url https://api.extole.io/v1/components/{component_id}/settings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"settings_key": {
"description": "description",
"display_name": "display_name",
"name": "name",
"priority": "10",
"source": "INHERITED",
"tags": [
"tag"
],
"type": "ADMIN_ICON",
"values": {
"values_key": {}
}
}
}
}
'import requests
url = "https://api.extole.io/v1/components/{component_id}/settings"
payload = { "settings": { "settings_key": {
"description": "description",
"display_name": "display_name",
"name": "name",
"priority": "10",
"source": "INHERITED",
"tags": ["tag"],
"type": "ADMIN_ICON",
"values": { "values_key": {} }
} } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
settings_key: {
description: 'description',
display_name: 'display_name',
name: 'name',
priority: '10',
source: 'INHERITED',
tags: ['tag'],
type: 'ADMIN_ICON',
values: {values_key: {}}
}
}
})
};
fetch('https://api.extole.io/v1/components/{component_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"description": "<string>",
"display_name": "<string>",
"name": "<string>",
"priority": "10",
"tags": [
"<string>"
],
"type": "ADMIN_ICON",
"values": {
"default": {},
"en": {}
}
}
]Components Settings
Batch update component settings
Applies a batch of setting value updates across the component in one request.
PUT
/
v1
/
components
/
{component_id}
/
settings
Batch update component settings
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Body
application/json
Body of a PUT /v1/components/{component_id}/settings request.
Show child attributes
Show child attributes
Response
Successful response
- ADMIN_ICON
- AUDIENCE_ID
- AUDIENCE_ID_LIST
- BOOLEAN
- BROWSER_SIDE_JAVASCRIPT
- CLIENT_DOMAIN_ID_LIST
- CLIENT_KEY
- CLIENT_KEY_FLOW
- COLOR
- COMPONENT_ID
- COMPONENT_SETTING_LOOKUP
- CSS
- DELAY
- DELAY_LIST
- ENUM
- ENUM_LIST
- EXTOLE_CLIENT_KEY
- FONT
- GLOB_COMPONENT_PATH
- HTML
- IMAGE
- INTEGER
- INTEGER_LIST
- JSON
- MULTI_SOCKET
- PARTNER_ENUM
- PARTNER_ENUM_LIST
- PERSON_KEY_NAME
- REWARD_SUPPLIER_ID
- REWARD_SUPPLIER_ID_LIST
- SOCKET
- STRING
- STRING_LIST
- STRING_MAP
- URL
- WEBHOOK_ID
description
Static Value · stringBuildtime - Handlebars · stringBuildtime - Javascript · string
required
The description as configured: a literal value, or an expression (type:string) when defined dynamically.
Example:
"10"
Available options:
ADMIN_ICON Available options:
INHERITED, LOCAL, PARAMETER Open map of setting values keyed by value key. There is no fixed or maximum number of keys. Any string key may be present; each value uses the same shape for this setting's type. The properties listed here are common examples only and are not required.
Show child attributes
Show child attributes
⌘I
